zenilib: zenilib/jni/external/freetype2/src/autofit/afloader.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
afloader.c File Reference
`#include "afloader.h"`
`#include "afhints.h"`
`#include "afglobal.h"`
`#include "aferrors.h"`

Go to the source code of this file.

## Functions

| af_loader_done (AF_Loader loader)
| af_loader_init (AF_Loader loader, FT_Memory memory)
static FT_Error | af_loader_load_g (AF_Loader loader, AF_Scaler scaler, FT_UInt glyph_index, FT_Int32 load_flags, FT_UInt depth)
| af_loader_load_glyph (AF_Loader loader, FT_Face face, FT_UInt gindex, FT_Int32 load_flags)
| af_loader_reset (AF_Loader loader, FT_Face face)

## Function Documentation

af_loader_done | ( | AF_Loader | loader | ) |

Definition at line 74 of file afloader.c.

References af_glyph_hints_done(), FT_GlyphLoader_Done(), and NULL.

Referenced by af_autofitter_done().

af_loader_init | ( | AF_Loader | loader,
|  | FT_Memory | memory
| ) |  |

Definition at line 28 of file afloader.c.

References af_glyph_hints_init(), FT_GlyphLoader_New(), and FT_ZERO.

Referenced by af_autofitter_init().

static FT_Error af_loader_load_g | ( | AF_Loader | loader,
|  | AF_Scaler | scaler,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags,
|  | FT_UInt | depth
| ) |  |

static

Definition at line 94 of file afloader.c.

References AF_DIMENSION_HORZ, af_face_globals_is_digit(), AF_HINTS_DO_ADVANCE, FT_SubGlyphRec_::arg1, FT_SubGlyphRec_::arg2, AF_GlyphHintsRec_::axis, bbox, AF_ScriptMetricsRec_::clazz, FT_Outline_::contours, AF_ScriptMetricsRec_::digits_have_same_width, AF_AxisHintsRec_::edges, error, FT_GlyphSlotRec_::face, FT_SubGlyphRec_::flags, FT_GlyphSlotRec_::format, FT_ARRAY_COPY, FT_GLYPH_FORMAT_OUTLINE, FT_GlyphLoader_Add(), FT_GLYPHLOADER_CHECK_POINTS, FT_GlyphLoader_CheckSubGlyphs(), FT_GlyphLoader_CopyPoints(), FT_GlyphLoader_Rewind(), FT_IS_FIXED_WIDTH, FT_Load_Glyph(), FT_Matrix_Invert(), FT_MulFix(), FT_Outline_Get_CBox(), FT_Outline_Transform(), FT_Outline_Translate(), FT_PIX_CEIL, FT_PIX_FLOOR, FT_PIX_ROUND, FT_Pos, FT_RENDER_MODE_LIGHT, FT_SUBGLYPH_FLAG_2X2, FT_SUBGLYPH_FLAG_ARGS_ARE_XY_VALUES, FT_SUBGLYPH_FLAG_SCALE, FT_SUBGLYPH_FLAG_USE_MY_METRICS, FT_SUBGLYPH_FLAG_XY_SCALE, FT_Vector_Transform(), FT_FaceRec_::glyph, FT_SubGlyphRec_::index, FT_GlyphSlotRec_::internal, k, FT_GlyphSlotRec_::linearHoriAdvance, FT_GlyphSlotRec_::linearVertAdvance, FT_GlyphSlotRec_::lsb_delta, FT_GlyphSlotRec_::metrics, FT_Outline_::n_contours, FT_Outline_::n_points, AF_AxisHintsRec_::num_edges, FT_GlyphSlotRec_::num_subglyphs, AF_EdgeRec_::opos, FT_GlyphSlotRec_::outline, FT_Outline_::points, AF_EdgeRec_::pos, AF_ScalerRec_::render_mode, FT_GlyphSlotRec_::rsb_delta, AF_ScriptMetricsRec_::scaler, FT_GlyphSlotRec_::subglyphs, FT_Outline_::tags, FT_SubGlyphRec_::transform, FT_Vector_::x, AF_GlyphHintsRec_::x_delta, AF_ScalerRec_::x_scale, AF_GlyphHintsRec_::x_scale, FT_BBox_::xMax, AF_GlyphHintsRec_::xmax_delta, FT_BBox_::xMin, AF_GlyphHintsRec_::xmin_delta, FT_Vector_::y, AF_GlyphHintsRec_::y_delta, AF_ScalerRec_::y_scale, AF_GlyphHintsRec_::y_scale, FT_BBox_::yMax, and FT_BBox_::yMin.

Referenced by af_loader_load_glyph().

af_loader_load_glyph | ( | AF_Loader | loader,
|  | FT_Face | face,
|  | FT_UInt | gindex,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 487 of file afloader.c.

References af_face_globals_get_metrics(), af_loader_load_g(), af_loader_reset(), AF_ScriptMetricsRec_::clazz, error, AF_ScalerRec_::face, AF_ScalerRec_::flags, FT_LOAD_IGNORE_TRANSFORM, FT_LOAD_NO_SCALE, FT_LOAD_RENDER, FT_LOAD_TARGET_MODE, FT_ZERO, FT_SizeRec_::metrics, AF_ScalerRec_::render_mode, AF_ScriptMetricsRec_::scaler, AF_ScalerRec_::x_delta, AF_ScalerRec_::x_scale, FT_Size_Metrics_::x_scale, AF_ScalerRec_::y_delta, AF_ScalerRec_::y_scale, and FT_Size_Metrics_::y_scale.

Referenced by af_autofitter_load_glyph().

af_loader_reset | ( | AF_Loader | loader,
|  | FT_Face | face
| ) |  |

Definition at line 44 of file afloader.c.

References af_face_globals_free(), af_face_globals_new(), error, FT_GlyphLoader_Rewind(), and NULL.

Referenced by af_loader_load_glyph().